## org.eclipse.datatools.modelbase.dbdefinition.impl
Class DatabaseDefinitionPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.DatabaseDefinitionPackageImpl

All Implemented Interfaces:
  DatabaseDefinitionPackage

    public class DatabaseDefinitionPackageImpl

extends EPackageImpl
implements DatabaseDefinitionPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.datatools.modelbase.dbdefinition.DatabaseDefinitionPackage
`DatabaseDefinitionPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.dbdefinition.DatabaseDefinitionPackage

`CHECK_OPTION, COLUMN_DEFINITION, COLUMN_DEFINITION__COMPUTED_SUPPORTED, COLUMN_DEFINITION__IDENTITY_COLUMN_DATA_TYPE_DEFINITIONS, COLUMN_DEFINITION__IDENTITY_CYCLE_SUPPORTED, COLUMN_DEFINITION__IDENTITY_INCREMENT_SUPPORTED, COLUMN_DEFINITION__IDENTITY_MAXIMUM_SUPPORTED, COLUMN_DEFINITION__IDENTITY_MINIMUM_SUPPORTED, COLUMN_DEFINITION__IDENTITY_START_VALUE_SUPPORTED, COLUMN_DEFINITION__IDENTITY_SUPPORTED, COLUMN_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, COLUMN_DEFINITION_FEATURE_COUNT, CONSTRAINT_DEFINITION, CONSTRAINT_DEFINITION__CHECK_OPTION, CONSTRAINT_DEFINITION__CLUSTERED_PRIMARY_KEY_SUPPORTED, CONSTRAINT_DEFINITION__CLUSTERED_UNIQUE_CONSTRAINT_SUPPORTED, CONSTRAINT_DEFINITION__DEFERRABLE_CONSTRAINT_SUPPORTED, CONSTRAINT_DEFINITION__INFORMATIONAL_CONSTRAINT_SUPPORTED, CONSTRAINT_DEFINITION__MAXIMUM_CHECK_CONSTRAINT_IDENTIFIER_LENGTH, CONSTRAINT_DEFINITION__MAXIMUM_CHECK_EXPRESSION_LENGTH, CONSTRAINT_DEFINITION__MAXIMUM_FOREIGN_KEY_IDENTIFIER_LENGTH, CONSTRAINT_DEFINITION__MAXIMUM_PRIMARY_KEY_IDENTIFIER_LENGTH, CONSTRAINT_DEFINITION__PARENT_DELETE_DRI_RULE_TYPE, CONSTRAINT_DEFINITION__PARENT_UPDATE_DRI_RULE_TYPE, CONSTRAINT_DEFINITION__PRIMARY_KEY_NULLABLE, CONSTRAINT_DEFINITION__UNIQUE_KEY_NULLABLE, CONSTRAINT_DEFINITION_FEATURE_COUNT, DATABASE_VENDOR_DEFINITION, DATABASE_VENDOR_DEFINITION__ALIAS_SUPPORTED, DATABASE_VENDOR_DEFINITION__AUTHORIZATION_IDENTIFIER_SUPPORTED, DATABASE_VENDOR_DEFINITION__COLUMN_DEFINITION, DATABASE_VENDOR_DEFINITION__CONSTRAINT_DEFINITION, DATABASE_VENDOR_DEFINITION__CONSTRAINTS_SUPPORTED, DATABASE_VENDOR_DEFINITION__DEBUGGER_DEFINITION, DATABASE_VENDOR_DEFINITION__DOMAIN_SUPPORTED, DATABASE_VENDOR_DEFINITION__EVENT_SUPPORTED, DATABASE_VENDOR_DEFINITION__EXTENDED_DEFINITIONS, DATABASE_VENDOR_DEFINITION__GROUP_SUPPORTED, DATABASE_VENDOR_DEFINITION__INDEX_DEFINITION, DATABASE_VENDOR_DEFINITION__JOIN_SUPPORTED, DATABASE_VENDOR_DEFINITION__MAXIMUM_COMMENT_LENGTH, DATABASE_VENDOR_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, DATABASE_VENDOR_DEFINITION__MQT_INDEX_SUPPORTED, DATABASE_VENDOR_DEFINITION__MQT_SUPPORTED, DATABASE_VENDOR_DEFINITION__NICKNAME_DEFINITION, DATABASE_VENDOR_DEFINITION__NICKNAME_SUPPORTED, DATABASE_VENDOR_DEFINITION__PACKAGE_SUPPORTED, DATABASE_VENDOR_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS, DATABASE_VENDOR_DEFINITION__PRIVILEGED_ELEMENT_DEFINITIONS, DATABASE_VENDOR_DEFINITION__QUERY_DEFINITION, DATABASE_VENDOR_DEFINITION__QUOTED_DDL_SUPPORTED, DATABASE_VENDOR_DEFINITION__QUOTED_DML_SUPPORTED, DATABASE_VENDOR_DEFINITION__ROLE_AUTHORIZATION_SUPPORTED, DATABASE_VENDOR_DEFINITION__ROLE_SUPPORTED, DATABASE_VENDOR_DEFINITION__SCHEMA_DEFINITION, DATABASE_VENDOR_DEFINITION__SCHEMA_SUPPORTED, DATABASE_VENDOR_DEFINITION__SEQUENCE_DEFINITION, DATABASE_VENDOR_DEFINITION__SEQUENCE_SUPPORTED, DATABASE_VENDOR_DEFINITION__SNAPSHOT_VIEW_SUPPORTED, DATABASE_VENDOR_DEFINITION__SQL_STATEMENT_SUPPORTED, DATABASE_VENDOR_DEFINITION__SQL_SYNTAX_DEFINITION, DATABASE_VENDOR_DEFINITION__SQL_UDF_SUPPORTED, DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_DEFINITION, DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_SUPPORTED, DATABASE_VENDOR_DEFINITION__SYNONYM_SUPPORTED, DATABASE_VENDOR_DEFINITION__TABLE_DEFINITION, DATABASE_VENDOR_DEFINITION__TABLE_SPACE_DEFINITION, DATABASE_VENDOR_DEFINITION__TABLESPACES_SUPPORTED, DATABASE_VENDOR_DEFINITION__TRIGGER_DEFINITION, DATABASE_VENDOR_DEFINITION__TRIGGER_SUPPORTED, DATABASE_VENDOR_DEFINITION__UDT_DEFINITION, DATABASE_VENDOR_DEFINITION__USER_DEFINED_TYPE_SUPPORTED, DATABASE_VENDOR_DEFINITION__USER_SUPPORTED, DATABASE_VENDOR_DEFINITION__VENDOR, DATABASE_VENDOR_DEFINITION__VERSION, DATABASE_VENDOR_DEFINITION__VIEW_DEFINITION, DATABASE_VENDOR_DEFINITION__VIEW_TRIGGER_SUPPORTED, DATABASE_VENDOR_DEFINITION__XML_SUPPORTED, DATABASE_VENDOR_DEFINITION_FEATURE_COUNT, DEBUGGER_DEFINITION, DEBUGGER_DEFINITION__CONDITION_SUPPORTED, DEBUGGER_DEFINITION_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXTENDED_DEFINITION, EXTENDED_DEFINITION__NAME, EXTENDED_DEFINITION__VALUE, EXTENDED_DEFINITION_FEATURE_COUNT, FIELD_QUALIFIER_DEFINITION, FIELD_QUALIFIER_DEFINITION__DEFAULT_PRECISION, FIELD_QUALIFIER_DEFINITION__DEFAULT_SCALE, FIELD_QUALIFIER_DEFINITION__MAXIMUM_PRECISION, FIELD_QUALIFIER_DEFINITION__MAXIMUM_SCALE, FIELD_QUALIFIER_DEFINITION__NAME, FIELD_QUALIFIER_DEFINITION__PRECISION_SUPPORTED, FIELD_QUALIFIER_DEFINITION__SCALE_SUPPORTED, FIELD_QUALIFIER_DEFINITION__VALID_TRAILING_FIELD_QUALIFIER_DEFINITIONS, FIELD_QUALIFIER_DEFINITION_FEATURE_COUNT, INDEX_DEFINITION, INDEX_DEFINITION__CLUSTER_CHANGEABLE, INDEX_DEFINITION__CLUSTERING_SUPPORTED, INDEX_DEFINITION__FILL_FACTOR_SUPPORTED, INDEX_DEFINITION__INCLUDED_COLUMNS_SUPPORTED, INDEX_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, INDEX_DEFINITION__PERCENT_FREE_CHANGEABLE, INDEX_DEFINITION__PERCENT_FREE_TERMINOLOGY, INDEX_DEFINITION_FEATURE_COUNT, LANGUAGE_TYPE, LENGTH_UNIT, NICKNAME_DEFINITION, NICKNAME_DEFINITION__CONSTRAINT_SUPPORTED, NICKNAME_DEFINITION__INDEX_SUPPORTED, NICKNAME_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, NICKNAME_DEFINITION_FEATURE_COUNT, PARAMETER_STYLE, PARENT_DELETE_DRI_RULE_TYPE, PARENT_UPDATE_DRI_RULE_TYPE, PERCENT_FREE_TERMINOLOGY, PREDEFINED_DATA_TYPE_DEFINITION, PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET, PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX, PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__CUTOFF_PRECISION, PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LEADING_FIELD_QUALIFIER_DEFINITION, PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH, PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_PRECISION, PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SCALE, PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_TRAILING_FIELD_QUALIFIER_DEFINITION, PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES, PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME, PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME, PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX, PREDEFINED_DATA_TYPE_DEFINITION__FIELD_QUALIFIER_SEPARATOR, PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__GROUPING_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME, PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE, PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_LENGTH, PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_NAME, PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_DEFINITION, PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_UNIT, PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH, PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION, PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE, PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE, PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE, PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE, PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__NAME, PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__ORDERING_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE, PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_DEFINITION, PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_SUPPORTED, PREDEFINED_DATA_TYPE_DEFINITION_FEATURE_COUNT, PRIVILEGE_DEFINITION, PRIVILEGE_DEFINITION__ACTION_ELEMENT_DEFINITIONS, PRIVILEGE_DEFINITION__NAME, PRIVILEGE_DEFINITION_FEATURE_COUNT, PRIVILEGED_ELEMENT_DEFINITION, PRIVILEGED_ELEMENT_DEFINITION__NAME, PRIVILEGED_ELEMENT_DEFINITION__PRIVILEGE_DEFINITIONS, PRIVILEGED_ELEMENT_DEFINITION_FEATURE_COUNT, PROCEDURE_TYPE, QUERY_DEFINITION, QUERY_DEFINITION__CAST_EXPRESSION_SUPPORTED, QUERY_DEFINITION__DEFAULT_KEYWORD_FOR_INSERT_VALUE_SUPPORTED, QUERY_DEFINITION__EXTENDED_GROUPING_SUPPORTED, QUERY_DEFINITION__HOST_VARIABLE_MARKER, QUERY_DEFINITION__HOST_VARIABLE_MARKER_SUPPORTED, QUERY_DEFINITION__IDENTIFIER_QUOTE_STRING, QUERY_DEFINITION__TABLE_ALIAS_IN_DELETE_SUPPORTED, QUERY_DEFINITION_FEATURE_COUNT, SCHEMA_DEFINITION, SCHEMA_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, SCHEMA_DEFINITION_FEATURE_COUNT, SEQUENCE_DEFINITION, SEQUENCE_DEFINITION__CACHE_DEFAULT_VALUE, SEQUENCE_DEFINITION__CACHE_SUPPORTED, SEQUENCE_DEFINITION__DEFAULT_DATA_TYPE_DEFINITION, SEQUENCE_DEFINITION__NO_CACHE_STRING, SEQUENCE_DEFINITION__NO_MAXIMUM_VALUE_STRING, SEQUENCE_DEFINITION__NO_MINIMUM_VALUE_STRING, SEQUENCE_DEFINITION__ORDER_SUPPORTED, SEQUENCE_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS, SEQUENCE_DEFINITION__TYPE_ENUMERATION_SUPPORTED, SEQUENCE_DEFINITION_FEATURE_COUNT, SQL_SYNTAX_DEFINITION, SQL_SYNTAX_DEFINITION__KEYWORDS, SQL_SYNTAX_DEFINITION__OPERATORS, SQL_SYNTAX_DEFINITION__TERMINATION_CHARACTER, SQL_SYNTAX_DEFINITION_FEATURE_COUNT, STORED_PROCEDURE_DEFINITION, STORED_PROCEDURE_DEFINITION__DETERMININSTIC_SUPPORTED, STORED_PROCEDURE_DEFINITION__FUNCTION_LANGUAGE_TYPE, STORED_PROCEDURE_DEFINITION__LANGUAGE_TYPE, STORED_PROCEDURE_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH, STORED_PROCEDURE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, STORED_PROCEDURE_DEFINITION__NULL_INPUT_ACTION_SUPPORTED, STORED_PROCEDURE_DEFINITION__PACKAGE_GENERATION_SUPPORTED, STORED_PROCEDURE_DEFINITION__PARAMETER_DECLARATION_CONSTRAINT_SUPPORTED, STORED_PROCEDURE_DEFINITION__PARAMETER_INIT_VALUE_SUPPORTED, STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE, STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE_SUPPORTED, STORED_PROCEDURE_DEFINITION__PROCEDURE_TYPE, STORED_PROCEDURE_DEFINITION__RETURN_TYPE_SUPPORTED, STORED_PROCEDURE_DEFINITION__RETURNED_NULL_SUPPORTED, STORED_PROCEDURE_DEFINITION__RETURNED_TYPE_DECLARATION_CONSTRAINT_SUPPORTED, STORED_PROCEDURE_DEFINITION_FEATURE_COUNT, TABLE_DEFINITION, TABLE_DEFINITION__AUDIT_SUPPORTED, TABLE_DEFINITION__DATA_CAPTURE_SUPPORTED, TABLE_DEFINITION__EDIT_PROC_SUPPORTED, TABLE_DEFINITION__ENCODING_SUPPORTED, TABLE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, TABLE_DEFINITION__VALID_PROC_SUPPORTED, TABLE_DEFINITION_FEATURE_COUNT, TABLE_SPACE_DEFINITION, TABLE_SPACE_DEFINITION__BUFFER_POOL_SUPPORTED, TABLE_SPACE_DEFINITION__CONTAINER_EXTENT_SIZE_SUPPORTED, TABLE_SPACE_DEFINITION__CONTAINER_INITIAL_SIZE_SUPPORTED, TABLE_SPACE_DEFINITION__CONTAINER_MAXIMUM_SIZE_SUPPORTED, TABLE_SPACE_DEFINITION__DEFAULT_SUPPORTED, TABLE_SPACE_DEFINITION__EXTENT_SIZE_SUPPORTED, TABLE_SPACE_DEFINITION__MANAGED_BY_SUPPORTED, TABLE_SPACE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, TABLE_SPACE_DEFINITION__PAGE_SIZE_SUPPORTED, TABLE_SPACE_DEFINITION__PREFETCH_SIZE_SUPPORTED, TABLE_SPACE_DEFINITION__TABLE_SPACE_TYPE, TABLE_SPACE_DEFINITION__TYPE_SUPPORTED, TABLE_SPACE_DEFINITION_FEATURE_COUNT, TABLE_SPACE_TYPE, TRIGGER_DEFINITION, TRIGGER_DEFINITION__GRANULARITY_SUPPORTED, TRIGGER_DEFINITION__INSTEAD_OF_TRIGGER_SUPPORTED, TRIGGER_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH, TRIGGER_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, TRIGGER_DEFINITION__MAXIMUM_REFERENCE_PART_LENGTH, TRIGGER_DEFINITION__PER_COLUMN_UPDATE_TRIGGER_SUPPORTED, TRIGGER_DEFINITION__REFERENCES_CLAUSE_SUPPORTED, TRIGGER_DEFINITION__ROW_TRIGGER_REFERENCE_SUPPORTED, TRIGGER_DEFINITION__TABLE_TRIGGER_REFERENCE_SUPPORTED, TRIGGER_DEFINITION__TYPE_SUPPORTED, TRIGGER_DEFINITION__WHEN_CLAUSE_SUPPORTED, TRIGGER_DEFINITION_FEATURE_COUNT, USER_DEFINED_TYPE_DEFINITION, USER_DEFINED_TYPE_DEFINITION__DEFAULT_VALUE_SUPPORTED, USER_DEFINED_TYPE_DEFINITION__DISTINCT_TYPE_SUPPORTED, USER_DEFINED_TYPE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, USER_DEFINED_TYPE_DEFINITION__STRUCTURED_TYPE_SUPPORTED, USER_DEFINED_TYPE_DEFINITION_FEATURE_COUNT, VIEW_DEFINITION, VIEW_DEFINITION__INDEX_SUPPORTED, VIEW_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH, VIEW_DEFINITION_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EEnum` `getCheckOption()`
`EAttribute` `getColumnDefinition_ComputedSupported()`
`EReference` `getColumnDefinition_IdentityColumnDataTypeDefinitions()`
`EAttribute` `getColumnDefinition_IdentityCycleSupported()`
`EAttribute` `getColumnDefinition_IdentityIncrementSupported()`
`EAttribute` `getColumnDefinition_IdentityMaximumSupported()`
`EAttribute` `getColumnDefinition_IdentityMinimumSupported()`
`EAttribute` `getColumnDefinition_IdentityStartValueSupported()`
`EAttribute` `getColumnDefinition_IdentitySupported()`
`EAttribute` `getColumnDefinition_MaximumIdentifierLength()`
`EClass` `getColumnDefinition()`
`EAttribute` `getConstraintDefinition_CheckOption()`
`EAttribute` `getConstraintDefinition_ClusteredPrimaryKeySupported()`
`EAttribute` `getConstraintDefinition_ClusteredUniqueConstraintSupported()`
`EAttribute` `getConstraintDefinition_DeferrableConstraintSupported()`
`EAttribute` `getConstraintDefinition_InformationalConstraintSupported()`
`EAttribute` `getConstraintDefinition_MaximumCheckConstraintIdentifierLength()`
`EAttribute` `getConstraintDefinition_MaximumCheckExpressionLength()`
`EAttribute` `getConstraintDefinition_MaximumForeignKeyIdentifierLength()`
`EAttribute` `getConstraintDefinition_MaximumPrimaryKeyIdentifierLength()`
`EAttribute` `getConstraintDefinition_ParentDeleteDRIRuleType()`
`EAttribute` `getConstraintDefinition_ParentUpdateDRIRuleType()`
`EAttribute` `getConstraintDefinition_PrimaryKeyNullable()`
`EAttribute` `getConstraintDefinition_UniqueKeyNullable()`
`EClass` `getConstraintDefinition()`
`DatabaseDefinitionFactory` `getDatabaseDefinitionFactory()`
`EAttribute` `getDatabaseVendorDefinition_AliasSupported()`
`EAttribute` `getDatabaseVendorDefinition_AuthorizationIdentifierSupported()`
`EReference` `getDatabaseVendorDefinition_ColumnDefinition()`
`EReference` `getDatabaseVendorDefinition_ConstraintDefinition()`
`EAttribute` `getDatabaseVendorDefinition_ConstraintsSupported()`
`EReference` `getDatabaseVendorDefinition_DebuggerDefinition()`
`EAttribute` `getDatabaseVendorDefinition_DomainSupported()`
`EAttribute` `getDatabaseVendorDefinition_EventSupported()`
`EReference` `getDatabaseVendorDefinition_ExtendedDefinitions()`
`EAttribute` `getDatabaseVendorDefinition_GroupSupported()`
`EReference` `getDatabaseVendorDefinition_IndexDefinition()`
`EAttribute` `getDatabaseVendorDefinition_JoinSupported()`
`EAttribute` `getDatabaseVendorDefinition_MaximumCommentLength()`
`EAttribute` `getDatabaseVendorDefinition_MaximumIdentifierLength()`
`EAttribute` `getDatabaseVendorDefinition_MQTIndexSupported()`
`EAttribute` `getDatabaseVendorDefinition_MQTSupported()`
`EReference` `getDatabaseVendorDefinition_NicknameDefinition()`
`EAttribute` `getDatabaseVendorDefinition_NicknameSupported()`
`EAttribute` `getDatabaseVendorDefinition_PackageSupported()`
`EReference` `getDatabaseVendorDefinition_PredefinedDataTypeDefinitions()`
`EReference` `getDatabaseVendorDefinition_PrivilegedElementDefinitions()`
`EReference` `getDatabaseVendorDefinition_QueryDefinition()`
`EAttribute` `getDatabaseVendorDefinition_QuotedDDLSupported()`
`EAttribute` `getDatabaseVendorDefinition_QuotedDMLSupported()`
`EAttribute` `getDatabaseVendorDefinition_RoleAuthorizationSupported()`
`EAttribute` `getDatabaseVendorDefinition_RoleSupported()`
`EReference` `getDatabaseVendorDefinition_SchemaDefinition()`
`EAttribute` `getDatabaseVendorDefinition_SchemaSupported()`
`EReference` `getDatabaseVendorDefinition_SequenceDefinition()`
`EAttribute` `getDatabaseVendorDefinition_SequenceSupported()`
`EAttribute` `getDatabaseVendorDefinition_SnapshotViewSupported()`
`EAttribute` `getDatabaseVendorDefinition_SQLStatementSupported()`
`EReference` `getDatabaseVendorDefinition_SQLSyntaxDefinition()`
`EAttribute` `getDatabaseVendorDefinition_SqlUDFSupported()`
`EReference` `getDatabaseVendorDefinition_StoredProcedureDefinition()`
`EAttribute` `getDatabaseVendorDefinition_StoredProcedureSupported()`
`EAttribute` `getDatabaseVendorDefinition_SynonymSupported()`
`EReference` `getDatabaseVendorDefinition_TableDefinition()`
`EReference` `getDatabaseVendorDefinition_TableSpaceDefinition()`
`EAttribute` `getDatabaseVendorDefinition_TablespacesSupported()`
`EReference` `getDatabaseVendorDefinition_TriggerDefinition()`
`EAttribute` `getDatabaseVendorDefinition_TriggerSupported()`
`EReference` `getDatabaseVendorDefinition_UdtDefinition()`
`EAttribute` `getDatabaseVendorDefinition_UserDefinedTypeSupported()`
`EAttribute` `getDatabaseVendorDefinition_UserSupported()`
`EAttribute` `getDatabaseVendorDefinition_Vendor()`
`EAttribute` `getDatabaseVendorDefinition_Version()`
`EReference` `getDatabaseVendorDefinition_ViewDefinition()`
`EAttribute` `getDatabaseVendorDefinition_ViewTriggerSupported()`
`EAttribute` `getDatabaseVendorDefinition_XmlSupported()`
`EClass` `getDatabaseVendorDefinition()`
`EAttribute` `getDebuggerDefinition_ConditionSupported()`
`EClass` `getDebuggerDefinition()`
`EAttribute` `getExtendedDefinition_Name()`
`EAttribute` `getExtendedDefinition_Value()`
`EClass` `getExtendedDefinition()`
`EAttribute` `getFieldQualifierDefinition_DefaultPrecision()`
`EAttribute` `getFieldQualifierDefinition_DefaultScale()`
`EAttribute` `getFieldQualifierDefinition_MaximumPrecision()`
`EAttribute` `getFieldQualifierDefinition_MaximumScale()`
`EAttribute` `getFieldQualifierDefinition_Name()`
`EAttribute` `getFieldQualifierDefinition_PrecisionSupported()`
`EAttribute` `getFieldQualifierDefinition_ScaleSupported()`
`EReference` `getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions()`
`EClass` `getFieldQualifierDefinition()`
`EAttribute` `getIndexDefinition_ClusterChangeable()`
`EAttribute` `getIndexDefinition_ClusteringSupported()`
`EAttribute` `getIndexDefinition_FillFactorSupported()`
`EAttribute` `getIndexDefinition_IncludedColumnsSupported()`
`EAttribute` `getIndexDefinition_MaximumIdentifierLength()`
`EAttribute` `getIndexDefinition_PercentFreeChangeable()`
`EAttribute` `getIndexDefinition_PercentFreeTerminology()`
`EClass` `getIndexDefinition()`
`EEnum` `getLanguageType()`
`EEnum` `getLengthUnit()`
`EAttribute` `getNicknameDefinition_ConstraintSupported()`
`EAttribute` `getNicknameDefinition_IndexSupported()`
`EAttribute` `getNicknameDefinition_MaximumIdentifierLength()`
`EClass` `getNicknameDefinition()`
`EEnum` `getParameterStyle()`
`EEnum` `getParentDeleteDRIRuleType()`
`EEnum` `getParentUpdateDRIRuleType()`
`EEnum` `getPercentFreeTerminology()`
`EAttribute` `getPredefinedDataTypeDefinition_BitDataSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_CharacterSet()`
`EAttribute` `getPredefinedDataTypeDefinition_CharacterSetSuffix()`
`EAttribute` `getPredefinedDataTypeDefinition_ClusteringSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_CutoffPrecision()`
`EReference` `getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition()`
`EAttribute` `getPredefinedDataTypeDefinition_DefaultLength()`
`EAttribute` `getPredefinedDataTypeDefinition_DefaultPrecision()`
`EAttribute` `getPredefinedDataTypeDefinition_DefaultScale()`
`EAttribute` `getPredefinedDataTypeDefinition_DefaultSupported()`
`EReference` `getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition()`
`EAttribute` `getPredefinedDataTypeDefinition_DefaultValueTypes()`
`EAttribute` `getPredefinedDataTypeDefinition_DisplayName()`
`EAttribute` `getPredefinedDataTypeDefinition_DisplayNameSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_EncodingScheme()`
`EAttribute` `getPredefinedDataTypeDefinition_EncodingSchemeSuffix()`
`EAttribute` `getPredefinedDataTypeDefinition_FieldQualifierSeparator()`
`EAttribute` `getPredefinedDataTypeDefinition_FillFactorSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_GroupingSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_IdentitySupported()`
`EAttribute` `getPredefinedDataTypeDefinition_JavaClassName()`
`EAttribute` `getPredefinedDataTypeDefinition_JdbcEnumType()`
`EAttribute` `getPredefinedDataTypeDefinition_KeyConstraintSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_LargeValueSpecifierLength()`
`EAttribute` `getPredefinedDataTypeDefinition_LargeValueSpecifierName()`
`EAttribute` `getPredefinedDataTypeDefinition_LargeValueSpecifierSupported()`
`EReference` `getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition()`
`EAttribute` `getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_LengthSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_LengthUnit()`
`EAttribute` `getPredefinedDataTypeDefinition_MaximumLength()`
`EAttribute` `getPredefinedDataTypeDefinition_MaximumPrecision()`
`EAttribute` `getPredefinedDataTypeDefinition_MaximumScale()`
`EAttribute` `getPredefinedDataTypeDefinition_MaximumValue()`
`EAttribute` `getPredefinedDataTypeDefinition_MinimumScale()`
`EAttribute` `getPredefinedDataTypeDefinition_MinimumValue()`
`EAttribute` `getPredefinedDataTypeDefinition_MultipleColumnsSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_Name()`
`EAttribute` `getPredefinedDataTypeDefinition_NullableSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_OrderingSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_PrecisionSupported()`
`EAttribute` `getPredefinedDataTypeDefinition_PrimitiveType()`
`EAttribute` `getPredefinedDataTypeDefinition_ScaleSupported()`
`EReference` `getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition()`
`EAttribute` `getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported()`
`EClass` `getPredefinedDataTypeDefinition()`
`EReference` `getPrivilegeDefinition_ActionElementDefinitions()`
`EAttribute` `getPrivilegeDefinition_Name()`
`EClass` `getPrivilegeDefinition()`
`EAttribute` `getPrivilegedElementDefinition_Name()`
`EReference` `getPrivilegedElementDefinition_PrivilegeDefinitions()`
`EClass` `getPrivilegedElementDefinition()`
`EEnum` `getProcedureType()`
`EAttribute` `getQueryDefinition_CastExpressionSupported()`
`EAttribute` `getQueryDefinition_DefaultKeywordForInsertValueSupported()`
`EAttribute` `getQueryDefinition_ExtendedGroupingSupported()`
`EAttribute` `getQueryDefinition_HostVariableMarker()`
`EAttribute` `getQueryDefinition_HostVariableMarkerSupported()`
`EAttribute` `getQueryDefinition_IdentifierQuoteString()`
`EAttribute` `getQueryDefinition_TableAliasInDeleteSupported()`
`EClass` `getQueryDefinition()`
`EAttribute` `getSchemaDefinition_MaximumIdentifierLength()`
`EClass` `getSchemaDefinition()`
`EAttribute` `getSequenceDefinition_CacheDefaultValue()`
`EAttribute` `getSequenceDefinition_CacheSupported()`
`EReference` `getSequenceDefinition_DefaultDataTypeDefinition()`
`EAttribute` `getSequenceDefinition_NoCacheString()`
`EAttribute` `getSequenceDefinition_NoMaximumValueString()`
`EAttribute` `getSequenceDefinition_NoMinimumValueString()`
`EAttribute` `getSequenceDefinition_OrderSupported()`
`EReference` `getSequenceDefinition_PredefinedDataTypeDefinitions()`
`EAttribute` `getSequenceDefinition_TypeEnumerationSupported()`
`EClass` `getSequenceDefinition()`
`EAttribute` `getSQLSyntaxDefinition_Keywords()`
`EAttribute` `getSQLSyntaxDefinition_Operators()`
`EAttribute` `getSQLSyntaxDefinition_TerminationCharacter()`
`EClass` `getSQLSyntaxDefinition()`
`EAttribute` `getStoredProcedureDefinition_DetermininsticSupported()`
`EAttribute` `getStoredProcedureDefinition_FunctionLanguageType()`
`EAttribute` `getStoredProcedureDefinition_LanguageType()`
`EAttribute` `getStoredProcedureDefinition_MaximumActionBodyLength()`
`EAttribute` `getStoredProcedureDefinition_MaximumIdentifierLength()`
`EAttribute` `getStoredProcedureDefinition_NullInputActionSupported()`
`EAttribute` `getStoredProcedureDefinition_PackageGenerationSupported()`
`EAttribute` `getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()`
`EAttribute` `getStoredProcedureDefinition_ParameterInitValueSupported()`
`EAttribute` `getStoredProcedureDefinition_ParameterStyle()`
`EAttribute` `getStoredProcedureDefinition_ParameterStyleSupported()`
`EAttribute` `getStoredProcedureDefinition_ProcedureType()`
`EAttribute` `getStoredProcedureDefinition_ReturnedNullSupported()`
`EAttribute` `getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()`
`EAttribute` `getStoredProcedureDefinition_ReturnTypeSupported()`
`EClass` `getStoredProcedureDefinition()`
`EAttribute` `getTableDefinition_AuditSupported()`
`EAttribute` `getTableDefinition_DataCaptureSupported()`
`EAttribute` `getTableDefinition_EditProcSupported()`
`EAttribute` `getTableDefinition_EncodingSupported()`
`EAttribute` `getTableDefinition_MaximumIdentifierLength()`
`EAttribute` `getTableDefinition_ValidProcSupported()`
`EClass` `getTableDefinition()`
`EAttribute` `getTableSpaceDefinition_BufferPoolSupported()`
`EAttribute` `getTableSpaceDefinition_ContainerExtentSizeSupported()`
`EAttribute` `getTableSpaceDefinition_ContainerInitialSizeSupported()`
`EAttribute` `getTableSpaceDefinition_ContainerMaximumSizeSupported()`
`EAttribute` `getTableSpaceDefinition_DefaultSupported()`
`EAttribute` `getTableSpaceDefinition_ExtentSizeSupported()`
`EAttribute` `getTableSpaceDefinition_ManagedBySupported()`
`EAttribute` `getTableSpaceDefinition_MaximumIdentifierLength()`
`EAttribute` `getTableSpaceDefinition_PageSizeSupported()`
`EAttribute` `getTableSpaceDefinition_PrefetchSizeSupported()`
`EAttribute` `getTableSpaceDefinition_TableSpaceType()`
`EAttribute` `getTableSpaceDefinition_TypeSupported()`
`EClass` `getTableSpaceDefinition()`
`EEnum` `getTableSpaceType()`
`EAttribute` `getTriggerDefinition_GranularitySupported()`
`EAttribute` `getTriggerDefinition_InsteadOfTriggerSupported()`
`EAttribute` `getTriggerDefinition_MaximumActionBodyLength()`
`EAttribute` `getTriggerDefinition_MaximumIdentifierLength()`
`EAttribute` `getTriggerDefinition_MaximumReferencePartLength()`
`EAttribute` `getTriggerDefinition_PerColumnUpdateTriggerSupported()`
`EAttribute` `getTriggerDefinition_ReferencesClauseSupported()`
`EAttribute` `getTriggerDefinition_RowTriggerReferenceSupported()`
`EAttribute` `getTriggerDefinition_TableTriggerReferenceSupported()`
`EAttribute` `getTriggerDefinition_TypeSupported()`
`EAttribute` `getTriggerDefinition_WhenClauseSupported()`
`EClass` `getTriggerDefinition()`
`EAttribute` `getUserDefinedTypeDefinition_DefaultValueSupported()`
`EAttribute` `getUserDefinedTypeDefinition_DistinctTypeSupported()`
`EAttribute` `getUserDefinedTypeDefinition_MaximumIdentifierLength()`
`EAttribute` `getUserDefinedTypeDefinition_StructuredTypeSupported()`
`EClass` `getUserDefinedTypeDefinition()`
`EAttribute` `getViewDefinition_IndexSupported()`
`EAttribute` `getViewDefinition_MaximumIdentifierLength()`
`EClass` `getViewDefinition()`
`static DatabaseDefinitionPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static DatabaseDefinitionPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `DatabaseDefinitionPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getDatabaseVendorDefinition

    public EClass getDatabaseVendorDefinition()

  Specified by:
    `getDatabaseVendorDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Database Vendor Definition'.
  See Also:
    `DatabaseVendorDefinition`

### getDatabaseVendorDefinition_Vendor

    public EAttribute getDatabaseVendorDefinition_Vendor()

  Specified by:
    `getDatabaseVendorDefinition_Vendor` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Vendor'.
  See Also:
    `DatabaseVendorDefinition.getVendor()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_Version

    public EAttribute getDatabaseVendorDefinition_Version()

  Specified by:
    `getDatabaseVendorDefinition_Version` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `DatabaseVendorDefinition.getVersion()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ConstraintsSupported

    public EAttribute getDatabaseVendorDefinition_ConstraintsSupported()

  Specified by:
    `getDatabaseVendorDefinition_ConstraintsSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Constraints Supported'.
  See Also:
    `DatabaseVendorDefinition.isConstraintsSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MaximumIdentifierLength

    public EAttribute getDatabaseVendorDefinition_MaximumIdentifierLength()

  Specified by:
    `getDatabaseVendorDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `DatabaseVendorDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TriggerSupported

    public EAttribute getDatabaseVendorDefinition_TriggerSupported()

  Specified by:
    `getDatabaseVendorDefinition_TriggerSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Trigger Supported'.
  See Also:
    `DatabaseVendorDefinition.isTriggerSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SnapshotViewSupported

    public EAttribute getDatabaseVendorDefinition_SnapshotViewSupported()

  Specified by:
    `getDatabaseVendorDefinition_SnapshotViewSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Snapshot View Supported'.
  See Also:
    `DatabaseVendorDefinition.isSnapshotViewSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_JoinSupported

    public EAttribute getDatabaseVendorDefinition_JoinSupported()

  Specified by:
    `getDatabaseVendorDefinition_JoinSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Join Supported'.
  See Also:
    `DatabaseVendorDefinition.isJoinSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ViewTriggerSupported

    public EAttribute getDatabaseVendorDefinition_ViewTriggerSupported()

  Specified by:
    `getDatabaseVendorDefinition_ViewTriggerSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'View Trigger Supported'.
  See Also:
    `DatabaseVendorDefinition.isViewTriggerSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TablespacesSupported

    public EAttribute getDatabaseVendorDefinition_TablespacesSupported()

  Specified by:
    `getDatabaseVendorDefinition_TablespacesSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Tablespaces Supported'.
  See Also:
    `DatabaseVendorDefinition.isTablespacesSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MaximumCommentLength

    public EAttribute getDatabaseVendorDefinition_MaximumCommentLength()

  Specified by:
    `getDatabaseVendorDefinition_MaximumCommentLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Comment Length'.
  See Also:
    `DatabaseVendorDefinition.getMaximumCommentLength()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SequenceSupported

    public EAttribute getDatabaseVendorDefinition_SequenceSupported()

  Specified by:
    `getDatabaseVendorDefinition_SequenceSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Sequence Supported'.
  See Also:
    `DatabaseVendorDefinition.isSequenceSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MQTSupported

    public EAttribute getDatabaseVendorDefinition_MQTSupported()

  Specified by:
    `getDatabaseVendorDefinition_MQTSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'MQT Supported'.
  See Also:
    `DatabaseVendorDefinition.isMQTSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SchemaSupported

    public EAttribute getDatabaseVendorDefinition_SchemaSupported()

  Specified by:
    `getDatabaseVendorDefinition_SchemaSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Schema Supported'.
  See Also:
    `DatabaseVendorDefinition.isSchemaSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_AliasSupported

    public EAttribute getDatabaseVendorDefinition_AliasSupported()

  Specified by:
    `getDatabaseVendorDefinition_AliasSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Alias Supported'.
  See Also:
    `DatabaseVendorDefinition.isAliasSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SynonymSupported

    public EAttribute getDatabaseVendorDefinition_SynonymSupported()

  Specified by:
    `getDatabaseVendorDefinition_SynonymSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Synonym Supported'.
  See Also:
    `DatabaseVendorDefinition.isSynonymSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_UserDefinedTypeSupported

    public EAttribute getDatabaseVendorDefinition_UserDefinedTypeSupported()

  Specified by:
    `getDatabaseVendorDefinition_UserDefinedTypeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'User Defined Type Supported'.
  See Also:
    `DatabaseVendorDefinition.isUserDefinedTypeSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_DomainSupported

    public EAttribute getDatabaseVendorDefinition_DomainSupported()

  Specified by:
    `getDatabaseVendorDefinition_DomainSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Domain Supported'.
  See Also:
    `DatabaseVendorDefinition.isDomainSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SQLStatementSupported

    public EAttribute getDatabaseVendorDefinition_SQLStatementSupported()

  Specified by:
    `getDatabaseVendorDefinition_SQLStatementSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'SQL Statement Supported'.
  See Also:
    `DatabaseVendorDefinition.isSQLStatementSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_NicknameSupported

    public EAttribute getDatabaseVendorDefinition_NicknameSupported()

  Specified by:
    `getDatabaseVendorDefinition_NicknameSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Nickname Supported'.
  See Also:
    `DatabaseVendorDefinition.isNicknameSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_QuotedDMLSupported

    public EAttribute getDatabaseVendorDefinition_QuotedDMLSupported()

  Specified by:
    `getDatabaseVendorDefinition_QuotedDMLSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Quoted DML Supported'.
  See Also:
    `DatabaseVendorDefinition.isQuotedDMLSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_QuotedDDLSupported

    public EAttribute getDatabaseVendorDefinition_QuotedDDLSupported()

  Specified by:
    `getDatabaseVendorDefinition_QuotedDDLSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Quoted DDL Supported'.
  See Also:
    `DatabaseVendorDefinition.isQuotedDDLSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_XmlSupported

    public EAttribute getDatabaseVendorDefinition_XmlSupported()

  Specified by:
    `getDatabaseVendorDefinition_XmlSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Xml Supported'.
  See Also:
    `DatabaseVendorDefinition.isXmlSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MQTIndexSupported

    public EAttribute getDatabaseVendorDefinition_MQTIndexSupported()

  Specified by:
    `getDatabaseVendorDefinition_MQTIndexSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'MQT Index Supported'.
  See Also:
    `DatabaseVendorDefinition.isMQTIndexSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_EventSupported

    public EAttribute getDatabaseVendorDefinition_EventSupported()

  Specified by:
    `getDatabaseVendorDefinition_EventSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Event Supported'.
  See Also:
    `DatabaseVendorDefinition.isEventSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SqlUDFSupported

    public EAttribute getDatabaseVendorDefinition_SqlUDFSupported()

  Specified by:
    `getDatabaseVendorDefinition_SqlUDFSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Sql UDF Supported'.
  See Also:
    `DatabaseVendorDefinition.isSqlUDFSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_StoredProcedureSupported

    public EAttribute getDatabaseVendorDefinition_StoredProcedureSupported()

  Specified by:
    `getDatabaseVendorDefinition_StoredProcedureSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Stored Procedure Supported'.
  See Also:
    `DatabaseVendorDefinition.isStoredProcedureSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_PackageSupported

    public EAttribute getDatabaseVendorDefinition_PackageSupported()

  Specified by:
    `getDatabaseVendorDefinition_PackageSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Package Supported'.
  See Also:
    `DatabaseVendorDefinition.isPackageSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_AuthorizationIdentifierSupported

    public EAttribute getDatabaseVendorDefinition_AuthorizationIdentifierSupported()

  Specified by:
    `getDatabaseVendorDefinition_AuthorizationIdentifierSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Authorization Identifier Supported'.
  See Also:
    `DatabaseVendorDefinition.isAuthorizationIdentifierSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_RoleSupported

    public EAttribute getDatabaseVendorDefinition_RoleSupported()

  Specified by:
    `getDatabaseVendorDefinition_RoleSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Role Supported'.
  See Also:
    `DatabaseVendorDefinition.isRoleSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_GroupSupported

    public EAttribute getDatabaseVendorDefinition_GroupSupported()

  Specified by:
    `getDatabaseVendorDefinition_GroupSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Group Supported'.
  See Also:
    `DatabaseVendorDefinition.isGroupSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_UserSupported

    public EAttribute getDatabaseVendorDefinition_UserSupported()

  Specified by:
    `getDatabaseVendorDefinition_UserSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'User Supported'.
  See Also:
    `DatabaseVendorDefinition.isUserSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_RoleAuthorizationSupported

    public EAttribute getDatabaseVendorDefinition_RoleAuthorizationSupported()

  Specified by:
    `getDatabaseVendorDefinition_RoleAuthorizationSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Role Authorization Supported'.
  See Also:
    `DatabaseVendorDefinition.isRoleAuthorizationSupported()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_PredefinedDataTypeDefinitions

    public EReference getDatabaseVendorDefinition_PredefinedDataTypeDefinitions()

  Specified by:
    `getDatabaseVendorDefinition_PredefinedDataTypeDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference list 'Predefined Data Type Definitions'.
  See Also:
    `DatabaseVendorDefinition.getPredefinedDataTypeDefinitions()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TableSpaceDefinition

    public EReference getDatabaseVendorDefinition_TableSpaceDefinition()

  Specified by:
    `getDatabaseVendorDefinition_TableSpaceDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Table Space Definition'.
  See Also:
    `DatabaseVendorDefinition.getTableSpaceDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_StoredProcedureDefinition

    public EReference getDatabaseVendorDefinition_StoredProcedureDefinition()

  Specified by:
    `getDatabaseVendorDefinition_StoredProcedureDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Stored Procedure Definition'.
  See Also:
    `DatabaseVendorDefinition.getStoredProcedureDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TriggerDefinition

    public EReference getDatabaseVendorDefinition_TriggerDefinition()

  Specified by:
    `getDatabaseVendorDefinition_TriggerDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Trigger Definition'.
  See Also:
    `DatabaseVendorDefinition.getTriggerDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ColumnDefinition

    public EReference getDatabaseVendorDefinition_ColumnDefinition()

  Specified by:
    `getDatabaseVendorDefinition_ColumnDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Column Definition'.
  See Also:
    `DatabaseVendorDefinition.getColumnDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ConstraintDefinition

    public EReference getDatabaseVendorDefinition_ConstraintDefinition()

  Specified by:
    `getDatabaseVendorDefinition_ConstraintDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Constraint Definition'.
  See Also:
    `DatabaseVendorDefinition.getConstraintDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ExtendedDefinitions

    public EReference getDatabaseVendorDefinition_ExtendedDefinitions()

  Specified by:
    `getDatabaseVendorDefinition_ExtendedDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference list 'Extended Definitions'.
  See Also:
    `DatabaseVendorDefinition.getExtendedDefinitions()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_IndexDefinition

    public EReference getDatabaseVendorDefinition_IndexDefinition()

  Specified by:
    `getDatabaseVendorDefinition_IndexDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Index Definition'.
  See Also:
    `DatabaseVendorDefinition.getIndexDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TableDefinition

    public EReference getDatabaseVendorDefinition_TableDefinition()

  Specified by:
    `getDatabaseVendorDefinition_TableDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Table Definition'.
  See Also:
    `DatabaseVendorDefinition.getTableDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SequenceDefinition

    public EReference getDatabaseVendorDefinition_SequenceDefinition()

  Specified by:
    `getDatabaseVendorDefinition_SequenceDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Sequence Definition'.
  See Also:
    `DatabaseVendorDefinition.getSequenceDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_UdtDefinition

    public EReference getDatabaseVendorDefinition_UdtDefinition()

  Specified by:
    `getDatabaseVendorDefinition_UdtDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Udt Definition'.
  See Also:
    `DatabaseVendorDefinition.getUdtDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_QueryDefinition

    public EReference getDatabaseVendorDefinition_QueryDefinition()

  Specified by:
    `getDatabaseVendorDefinition_QueryDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Query Definition'.
  See Also:
    `DatabaseVendorDefinition.getQueryDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SQLSyntaxDefinition

    public EReference getDatabaseVendorDefinition_SQLSyntaxDefinition()

  Specified by:
    `getDatabaseVendorDefinition_SQLSyntaxDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'SQL Syntax Definition'.
  See Also:
    `DatabaseVendorDefinition.getSQLSyntaxDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_NicknameDefinition

    public EReference getDatabaseVendorDefinition_NicknameDefinition()

  Specified by:
    `getDatabaseVendorDefinition_NicknameDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Nickname Definition'.
  See Also:
    `DatabaseVendorDefinition.getNicknameDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SchemaDefinition

    public EReference getDatabaseVendorDefinition_SchemaDefinition()

  Specified by:
    `getDatabaseVendorDefinition_SchemaDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Schema Definition'.
  See Also:
    `DatabaseVendorDefinition.getSchemaDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ViewDefinition

    public EReference getDatabaseVendorDefinition_ViewDefinition()

  Specified by:
    `getDatabaseVendorDefinition_ViewDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'View Definition'.
  See Also:
    `DatabaseVendorDefinition.getViewDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_DebuggerDefinition

    public EReference getDatabaseVendorDefinition_DebuggerDefinition()

  Specified by:
    `getDatabaseVendorDefinition_DebuggerDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference 'Debugger Definition'.
  See Also:
    `DatabaseVendorDefinition.getDebuggerDefinition()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_PrivilegedElementDefinitions

    public EReference getDatabaseVendorDefinition_PrivilegedElementDefinitions()

  Specified by:
    `getDatabaseVendorDefinition_PrivilegedElementDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference list 'Privileged Element Definitions'.
  See Also:
    `DatabaseVendorDefinition.getPrivilegedElementDefinitions()`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

### getPredefinedDataTypeDefinition

    public EClass getPredefinedDataTypeDefinition()

  Specified by:
    `getPredefinedDataTypeDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Predefined Data Type Definition'.
  See Also:
    `PredefinedDataTypeDefinition`

### getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition

    public EReference getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition()

  Specified by:
    `getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference list 'Leading Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getLeadingFieldQualifierDefinition()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition

    public EReference getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition()

  Specified by:
    `getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference list 'Trailing Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getTrailingFieldQualifierDefinition()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition

    public EReference getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition()

  Specified by:
    `getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the reference 'Default Trailing Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultTrailingFieldQualifierDefinition()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition

    public EReference getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition()

  Specified by:
    `getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the reference 'Default Leading Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultLeadingFieldQualifierDefinition()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LengthSupported

    public EAttribute getPredefinedDataTypeDefinition_LengthSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_LengthSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Length Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isLengthSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_ScaleSupported

    public EAttribute getPredefinedDataTypeDefinition_ScaleSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_ScaleSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Scale Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isScaleSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_PrecisionSupported

    public EAttribute getPredefinedDataTypeDefinition_PrecisionSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_PrecisionSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Precision Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isPrecisionSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_KeyConstraintSupported

    public EAttribute getPredefinedDataTypeDefinition_KeyConstraintSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_KeyConstraintSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Key Constraint Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isKeyConstraintSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_IdentitySupported

    public EAttribute getPredefinedDataTypeDefinition_IdentitySupported()

  Specified by:
    `getPredefinedDataTypeDefinition_IdentitySupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identity Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isIdentitySupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MultipleColumnsSupported

    public EAttribute getPredefinedDataTypeDefinition_MultipleColumnsSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_MultipleColumnsSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Multiple Columns Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isMultipleColumnsSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_NullableSupported

    public EAttribute getPredefinedDataTypeDefinition_NullableSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_NullableSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Nullable Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isNullableSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultSupported

    public EAttribute getPredefinedDataTypeDefinition_DefaultSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_DefaultSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isDefaultSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_ClusteringSupported

    public EAttribute getPredefinedDataTypeDefinition_ClusteringSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_ClusteringSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Clustering Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isClusteringSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_FillFactorSupported

    public EAttribute getPredefinedDataTypeDefinition_FillFactorSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_FillFactorSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Fill Factor Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isFillFactorSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_BitDataSupported

    public EAttribute getPredefinedDataTypeDefinition_BitDataSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_BitDataSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Bit Data Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isBitDataSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumValue

    public EAttribute getPredefinedDataTypeDefinition_MaximumValue()

  Specified by:
    `getPredefinedDataTypeDefinition_MaximumValue` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Value'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumValue()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MinimumValue

    public EAttribute getPredefinedDataTypeDefinition_MinimumValue()

  Specified by:
    `getPredefinedDataTypeDefinition_MinimumValue` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Minimum Value'.
  See Also:
    `PredefinedDataTypeDefinition.getMinimumValue()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumLength

    public EAttribute getPredefinedDataTypeDefinition_MaximumLength()

  Specified by:
    `getPredefinedDataTypeDefinition_MaximumLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Length'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumLength()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumPrecision

    public EAttribute getPredefinedDataTypeDefinition_MaximumPrecision()

  Specified by:
    `getPredefinedDataTypeDefinition_MaximumPrecision` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Precision'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumPrecision()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumScale

    public EAttribute getPredefinedDataTypeDefinition_MaximumScale()

  Specified by:
    `getPredefinedDataTypeDefinition_MaximumScale` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Scale'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumScale()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MinimumScale

    public EAttribute getPredefinedDataTypeDefinition_MinimumScale()

  Specified by:
    `getPredefinedDataTypeDefinition_MinimumScale` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Minimum Scale'.
  See Also:
    `PredefinedDataTypeDefinition.getMinimumScale()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultValueTypes

    public EAttribute getPredefinedDataTypeDefinition_DefaultValueTypes()

  Specified by:
    `getPredefinedDataTypeDefinition_DefaultValueTypes` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Default Value Types'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultValueTypes()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_PrimitiveType

    public EAttribute getPredefinedDataTypeDefinition_PrimitiveType()

  Specified by:
    `getPredefinedDataTypeDefinition_PrimitiveType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Primitive Type'.
  See Also:
    `PredefinedDataTypeDefinition.getPrimitiveType()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_Name

    public EAttribute getPredefinedDataTypeDefinition_Name()

  Specified by:
    `getPredefinedDataTypeDefinition_Name` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Name'.
  See Also:
    `PredefinedDataTypeDefinition.getName()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_JdbcEnumType

    public EAttribute getPredefinedDataTypeDefinition_JdbcEnumType()

  Specified by:
    `getPredefinedDataTypeDefinition_JdbcEnumType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Jdbc Enum Type'.
  See Also:
    `PredefinedDataTypeDefinition.getJdbcEnumType()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_CharacterSet

    public EAttribute getPredefinedDataTypeDefinition_CharacterSet()

  Specified by:
    `getPredefinedDataTypeDefinition_CharacterSet` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Character Set'.
  See Also:
    `PredefinedDataTypeDefinition.getCharacterSet()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_EncodingScheme

    public EAttribute getPredefinedDataTypeDefinition_EncodingScheme()

  Specified by:
    `getPredefinedDataTypeDefinition_EncodingScheme` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Encoding Scheme'.
  See Also:
    `PredefinedDataTypeDefinition.getEncodingScheme()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_CharacterSetSuffix

    public EAttribute getPredefinedDataTypeDefinition_CharacterSetSuffix()

  Specified by:
    `getPredefinedDataTypeDefinition_CharacterSetSuffix` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Character Set Suffix'.
  See Also:
    `PredefinedDataTypeDefinition.getCharacterSetSuffix()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_EncodingSchemeSuffix

    public EAttribute getPredefinedDataTypeDefinition_EncodingSchemeSuffix()

  Specified by:
    `getPredefinedDataTypeDefinition_EncodingSchemeSuffix` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Encoding Scheme Suffix'.
  See Also:
    `PredefinedDataTypeDefinition.getEncodingSchemeSuffix()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_JavaClassName

    public EAttribute getPredefinedDataTypeDefinition_JavaClassName()

  Specified by:
    `getPredefinedDataTypeDefinition_JavaClassName` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Java Class Name'.
  See Also:
    `PredefinedDataTypeDefinition.getJavaClassName()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultLength

    public EAttribute getPredefinedDataTypeDefinition_DefaultLength()

  Specified by:
    `getPredefinedDataTypeDefinition_DefaultLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Length'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultLength()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultPrecision

    public EAttribute getPredefinedDataTypeDefinition_DefaultPrecision()

  Specified by:
    `getPredefinedDataTypeDefinition_DefaultPrecision` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Precision'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultPrecision()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultScale

    public EAttribute getPredefinedDataTypeDefinition_DefaultScale()

  Specified by:
    `getPredefinedDataTypeDefinition_DefaultScale` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Scale'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultScale()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_CutoffPrecision

    public EAttribute getPredefinedDataTypeDefinition_CutoffPrecision()

  Specified by:
    `getPredefinedDataTypeDefinition_CutoffPrecision` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Cutoff Precision'.
  See Also:
    `PredefinedDataTypeDefinition.getCutoffPrecision()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LengthUnit

    public EAttribute getPredefinedDataTypeDefinition_LengthUnit()

  Specified by:
    `getPredefinedDataTypeDefinition_LengthUnit` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Length Unit'.
  See Also:
    `PredefinedDataTypeDefinition.getLengthUnit()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_OrderingSupported

    public EAttribute getPredefinedDataTypeDefinition_OrderingSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_OrderingSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Ordering Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isOrderingSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_GroupingSupported

    public EAttribute getPredefinedDataTypeDefinition_GroupingSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_GroupingSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Grouping Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isGroupingSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DisplayName

    public EAttribute getPredefinedDataTypeDefinition_DisplayName()

  Specified by:
    `getPredefinedDataTypeDefinition_DisplayName` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `PredefinedDataTypeDefinition.getDisplayName()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DisplayNameSupported

    public EAttribute getPredefinedDataTypeDefinition_DisplayNameSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_DisplayNameSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Display Name Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isDisplayNameSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported

    public EAttribute getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Leading Field Qualifier Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isLeadingFieldQualifierSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported

    public EAttribute getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Trailing Field Qualifier Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isTrailingFieldQualifierSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_FieldQualifierSeparator

    public EAttribute getPredefinedDataTypeDefinition_FieldQualifierSeparator()

  Specified by:
    `getPredefinedDataTypeDefinition_FieldQualifierSeparator` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Field Qualifier Separator'.
  See Also:
    `PredefinedDataTypeDefinition.getFieldQualifierSeparator()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LargeValueSpecifierSupported

    public EAttribute getPredefinedDataTypeDefinition_LargeValueSpecifierSupported()

  Specified by:
    `getPredefinedDataTypeDefinition_LargeValueSpecifierSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Large Value Specifier Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isLargeValueSpecifierSupported()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LargeValueSpecifierName

    public EAttribute getPredefinedDataTypeDefinition_LargeValueSpecifierName()

  Specified by:
    `getPredefinedDataTypeDefinition_LargeValueSpecifierName` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Large Value Specifier Name'.
  See Also:
    `PredefinedDataTypeDefinition.getLargeValueSpecifierName()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LargeValueSpecifierLength

    public EAttribute getPredefinedDataTypeDefinition_LargeValueSpecifierLength()

  Specified by:
    `getPredefinedDataTypeDefinition_LargeValueSpecifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Large Value Specifier Length'.
  See Also:
    `PredefinedDataTypeDefinition.getLargeValueSpecifierLength()`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

### getTableSpaceDefinition

    public EClass getTableSpaceDefinition()

  Specified by:
    `getTableSpaceDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Table Space Definition'.
  See Also:
    `TableSpaceDefinition`

### getTableSpaceDefinition_TypeSupported

    public EAttribute getTableSpaceDefinition_TypeSupported()

  Specified by:
    `getTableSpaceDefinition_TypeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Type Supported'.
  See Also:
    `TableSpaceDefinition.isTypeSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_ExtentSizeSupported

    public EAttribute getTableSpaceDefinition_ExtentSizeSupported()

  Specified by:
    `getTableSpaceDefinition_ExtentSizeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Extent Size Supported'.
  See Also:
    `TableSpaceDefinition.isExtentSizeSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_PrefetchSizeSupported

    public EAttribute getTableSpaceDefinition_PrefetchSizeSupported()

  Specified by:
    `getTableSpaceDefinition_PrefetchSizeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Prefetch Size Supported'.
  See Also:
    `TableSpaceDefinition.isPrefetchSizeSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_ManagedBySupported

    public EAttribute getTableSpaceDefinition_ManagedBySupported()

  Specified by:
    `getTableSpaceDefinition_ManagedBySupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Managed By Supported'.
  See Also:
    `TableSpaceDefinition.isManagedBySupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_PageSizeSupported

    public EAttribute getTableSpaceDefinition_PageSizeSupported()

  Specified by:
    `getTableSpaceDefinition_PageSizeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Page Size Supported'.
  See Also:
    `TableSpaceDefinition.isPageSizeSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_BufferPoolSupported

    public EAttribute getTableSpaceDefinition_BufferPoolSupported()

  Specified by:
    `getTableSpaceDefinition_BufferPoolSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Buffer Pool Supported'.
  See Also:
    `TableSpaceDefinition.isBufferPoolSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_DefaultSupported

    public EAttribute getTableSpaceDefinition_DefaultSupported()

  Specified by:
    `getTableSpaceDefinition_DefaultSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Supported'.
  See Also:
    `TableSpaceDefinition.isDefaultSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_ContainerMaximumSizeSupported

    public EAttribute getTableSpaceDefinition_ContainerMaximumSizeSupported()

  Specified by:
    `getTableSpaceDefinition_ContainerMaximumSizeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Container Maximum Size Supported'.
  See Also:
    `TableSpaceDefinition.isContainerMaximumSizeSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_ContainerInitialSizeSupported

    public EAttribute getTableSpaceDefinition_ContainerInitialSizeSupported()

  Specified by:
    `getTableSpaceDefinition_ContainerInitialSizeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Container Initial Size Supported'.
  See Also:
    `TableSpaceDefinition.isContainerInitialSizeSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_ContainerExtentSizeSupported

    public EAttribute getTableSpaceDefinition_ContainerExtentSizeSupported()

  Specified by:
    `getTableSpaceDefinition_ContainerExtentSizeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Container Extent Size Supported'.
  See Also:
    `TableSpaceDefinition.isContainerExtentSizeSupported()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_TableSpaceType

    public EAttribute getTableSpaceDefinition_TableSpaceType()

  Specified by:
    `getTableSpaceDefinition_TableSpaceType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Table Space Type'.
  See Also:
    `TableSpaceDefinition.getTableSpaceType()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getTableSpaceDefinition_MaximumIdentifierLength

    public EAttribute getTableSpaceDefinition_MaximumIdentifierLength()

  Specified by:
    `getTableSpaceDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `TableSpaceDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getTableSpaceDefinition()`

### getStoredProcedureDefinition

    public EClass getStoredProcedureDefinition()

  Specified by:
    `getStoredProcedureDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Stored Procedure Definition'.
  See Also:
    `StoredProcedureDefinition`

### getStoredProcedureDefinition_NullInputActionSupported

    public EAttribute getStoredProcedureDefinition_NullInputActionSupported()

  Specified by:
    `getStoredProcedureDefinition_NullInputActionSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Null Input Action Supported'.
  See Also:
    `StoredProcedureDefinition.isNullInputActionSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_PackageGenerationSupported

    public EAttribute getStoredProcedureDefinition_PackageGenerationSupported()

  Specified by:
    `getStoredProcedureDefinition_PackageGenerationSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Package Generation Supported'.
  See Also:
    `StoredProcedureDefinition.isPackageGenerationSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_DetermininsticSupported

    public EAttribute getStoredProcedureDefinition_DetermininsticSupported()

  Specified by:
    `getStoredProcedureDefinition_DetermininsticSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Determininstic Supported'.
  See Also:
    `StoredProcedureDefinition.isDetermininsticSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ReturnedNullSupported

    public EAttribute getStoredProcedureDefinition_ReturnedNullSupported()

  Specified by:
    `getStoredProcedureDefinition_ReturnedNullSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Returned Null Supported'.
  See Also:
    `StoredProcedureDefinition.isReturnedNullSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported

    public EAttribute getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()

  Specified by:
    `getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Returned Type Declaration Constraint Supported'.
  See Also:
    `StoredProcedureDefinition.isReturnedTypeDeclarationConstraintSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterInitValueSupported

    public EAttribute getStoredProcedureDefinition_ParameterInitValueSupported()

  Specified by:
    `getStoredProcedureDefinition_ParameterInitValueSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Parameter Init Value Supported'.
  See Also:
    `StoredProcedureDefinition.isParameterInitValueSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterStyleSupported

    public EAttribute getStoredProcedureDefinition_ParameterStyleSupported()

  Specified by:
    `getStoredProcedureDefinition_ParameterStyleSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Parameter Style Supported'.
  See Also:
    `StoredProcedureDefinition.isParameterStyleSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ReturnTypeSupported

    public EAttribute getStoredProcedureDefinition_ReturnTypeSupported()

  Specified by:
    `getStoredProcedureDefinition_ReturnTypeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Return Type Supported'.
  See Also:
    `StoredProcedureDefinition.isReturnTypeSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterDeclarationConstraintSupported

    public EAttribute getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()

  Specified by:
    `getStoredProcedureDefinition_ParameterDeclarationConstraintSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Parameter Declaration Constraint Supported'.
  See Also:
    `StoredProcedureDefinition.isParameterDeclarationConstraintSupported()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_MaximumActionBodyLength

    public EAttribute getStoredProcedureDefinition_MaximumActionBodyLength()

  Specified by:
    `getStoredProcedureDefinition_MaximumActionBodyLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Action Body Length'.
  See Also:
    `StoredProcedureDefinition.getMaximumActionBodyLength()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterStyle

    public EAttribute getStoredProcedureDefinition_ParameterStyle()

  Specified by:
    `getStoredProcedureDefinition_ParameterStyle` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Parameter Style'.
  See Also:
    `StoredProcedureDefinition.getParameterStyle()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_LanguageType

    public EAttribute getStoredProcedureDefinition_LanguageType()

  Specified by:
    `getStoredProcedureDefinition_LanguageType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Language Type'.
  See Also:
    `StoredProcedureDefinition.getLanguageType()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_FunctionLanguageType

    public EAttribute getStoredProcedureDefinition_FunctionLanguageType()

  Specified by:
    `getStoredProcedureDefinition_FunctionLanguageType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Function Language Type'.
  See Also:
    `StoredProcedureDefinition.getFunctionLanguageType()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ProcedureType

    public EAttribute getStoredProcedureDefinition_ProcedureType()

  Specified by:
    `getStoredProcedureDefinition_ProcedureType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Procedure Type'.
  See Also:
    `StoredProcedureDefinition.getProcedureType()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getStoredProcedureDefinition_MaximumIdentifierLength

    public EAttribute getStoredProcedureDefinition_MaximumIdentifierLength()

  Specified by:
    `getStoredProcedureDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `StoredProcedureDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

### getTriggerDefinition

    public EClass getTriggerDefinition()

  Specified by:
    `getTriggerDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Trigger Definition'.
  See Also:
    `TriggerDefinition`

### getTriggerDefinition_MaximumReferencePartLength

    public EAttribute getTriggerDefinition_MaximumReferencePartLength()

  Specified by:
    `getTriggerDefinition_MaximumReferencePartLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Reference Part Length'.
  See Also:
    `TriggerDefinition.getMaximumReferencePartLength()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_MaximumActionBodyLength

    public EAttribute getTriggerDefinition_MaximumActionBodyLength()

  Specified by:
    `getTriggerDefinition_MaximumActionBodyLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Action Body Length'.
  See Also:
    `TriggerDefinition.getMaximumActionBodyLength()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_TypeSupported

    public EAttribute getTriggerDefinition_TypeSupported()

  Specified by:
    `getTriggerDefinition_TypeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Type Supported'.
  See Also:
    `TriggerDefinition.isTypeSupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_WhenClauseSupported

    public EAttribute getTriggerDefinition_WhenClauseSupported()

  Specified by:
    `getTriggerDefinition_WhenClauseSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'When Clause Supported'.
  See Also:
    `TriggerDefinition.isWhenClauseSupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_GranularitySupported

    public EAttribute getTriggerDefinition_GranularitySupported()

  Specified by:
    `getTriggerDefinition_GranularitySupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Granularity Supported'.
  See Also:
    `TriggerDefinition.isGranularitySupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_ReferencesClauseSupported

    public EAttribute getTriggerDefinition_ReferencesClauseSupported()

  Specified by:
    `getTriggerDefinition_ReferencesClauseSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'References Clause Supported'.
  See Also:
    `TriggerDefinition.isReferencesClauseSupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_PerColumnUpdateTriggerSupported

    public EAttribute getTriggerDefinition_PerColumnUpdateTriggerSupported()

  Specified by:
    `getTriggerDefinition_PerColumnUpdateTriggerSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Per Column Update Trigger Supported'.
  See Also:
    `TriggerDefinition.isPerColumnUpdateTriggerSupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_InsteadOfTriggerSupported

    public EAttribute getTriggerDefinition_InsteadOfTriggerSupported()

  Specified by:
    `getTriggerDefinition_InsteadOfTriggerSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Instead Of Trigger Supported'.
  See Also:
    `TriggerDefinition.isInsteadOfTriggerSupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_RowTriggerReferenceSupported

    public EAttribute getTriggerDefinition_RowTriggerReferenceSupported()

  Specified by:
    `getTriggerDefinition_RowTriggerReferenceSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Row Trigger Reference Supported'.
  See Also:
    `TriggerDefinition.isRowTriggerReferenceSupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_TableTriggerReferenceSupported

    public EAttribute getTriggerDefinition_TableTriggerReferenceSupported()

  Specified by:
    `getTriggerDefinition_TableTriggerReferenceSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Table Trigger Reference Supported'.
  See Also:
    `TriggerDefinition.isTableTriggerReferenceSupported()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getTriggerDefinition_MaximumIdentifierLength

    public EAttribute getTriggerDefinition_MaximumIdentifierLength()

  Specified by:
    `getTriggerDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `TriggerDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getTriggerDefinition()`

### getColumnDefinition

    public EClass getColumnDefinition()

  Specified by:
    `getColumnDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Column Definition'.
  See Also:
    `ColumnDefinition`

### getColumnDefinition_IdentityColumnDataTypeDefinitions

    public EReference getColumnDefinition_IdentityColumnDataTypeDefinitions()

  Specified by:
    `getColumnDefinition_IdentityColumnDataTypeDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the reference list 'Identity Column Data Type Definitions'.
  See Also:
    `ColumnDefinition.getIdentityColumnDataTypeDefinitions()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_IdentitySupported

    public EAttribute getColumnDefinition_IdentitySupported()

  Specified by:
    `getColumnDefinition_IdentitySupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identity Supported'.
  See Also:
    `ColumnDefinition.isIdentitySupported()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_ComputedSupported

    public EAttribute getColumnDefinition_ComputedSupported()

  Specified by:
    `getColumnDefinition_ComputedSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Computed Supported'.
  See Also:
    `ColumnDefinition.isComputedSupported()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_IdentityStartValueSupported

    public EAttribute getColumnDefinition_IdentityStartValueSupported()

  Specified by:
    `getColumnDefinition_IdentityStartValueSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identity Start Value Supported'.
  See Also:
    `ColumnDefinition.isIdentityStartValueSupported()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_IdentityIncrementSupported

    public EAttribute getColumnDefinition_IdentityIncrementSupported()

  Specified by:
    `getColumnDefinition_IdentityIncrementSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identity Increment Supported'.
  See Also:
    `ColumnDefinition.isIdentityIncrementSupported()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_IdentityMinimumSupported

    public EAttribute getColumnDefinition_IdentityMinimumSupported()

  Specified by:
    `getColumnDefinition_IdentityMinimumSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identity Minimum Supported'.
  See Also:
    `ColumnDefinition.isIdentityMinimumSupported()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_IdentityMaximumSupported

    public EAttribute getColumnDefinition_IdentityMaximumSupported()

  Specified by:
    `getColumnDefinition_IdentityMaximumSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identity Maximum Supported'.
  See Also:
    `ColumnDefinition.isIdentityMaximumSupported()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_IdentityCycleSupported

    public EAttribute getColumnDefinition_IdentityCycleSupported()

  Specified by:
    `getColumnDefinition_IdentityCycleSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identity Cycle Supported'.
  See Also:
    `ColumnDefinition.isIdentityCycleSupported()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getColumnDefinition_MaximumIdentifierLength

    public EAttribute getColumnDefinition_MaximumIdentifierLength()

  Specified by:
    `getColumnDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `ColumnDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getColumnDefinition()`

### getConstraintDefinition

    public EClass getConstraintDefinition()

  Specified by:
    `getConstraintDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Constraint Definition'.
  See Also:
    `ConstraintDefinition`

### getConstraintDefinition_DeferrableConstraintSupported

    public EAttribute getConstraintDefinition_DeferrableConstraintSupported()

  Specified by:
    `getConstraintDefinition_DeferrableConstraintSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Deferrable Constraint Supported'.
  See Also:
    `ConstraintDefinition.isDeferrableConstraintSupported()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_InformationalConstraintSupported

    public EAttribute getConstraintDefinition_InformationalConstraintSupported()

  Specified by:
    `getConstraintDefinition_InformationalConstraintSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Informational Constraint Supported'.
  See Also:
    `ConstraintDefinition.isInformationalConstraintSupported()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_ClusteredPrimaryKeySupported

    public EAttribute getConstraintDefinition_ClusteredPrimaryKeySupported()

  Specified by:
    `getConstraintDefinition_ClusteredPrimaryKeySupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Clustered Primary Key Supported'.
  See Also:
    `ConstraintDefinition.isClusteredPrimaryKeySupported()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_ClusteredUniqueConstraintSupported

    public EAttribute getConstraintDefinition_ClusteredUniqueConstraintSupported()

  Specified by:
    `getConstraintDefinition_ClusteredUniqueConstraintSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Clustered Unique Constraint Supported'.
  See Also:
    `ConstraintDefinition.isClusteredUniqueConstraintSupported()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_PrimaryKeyNullable

    public EAttribute getConstraintDefinition_PrimaryKeyNullable()

  Specified by:
    `getConstraintDefinition_PrimaryKeyNullable` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Primary Key Nullable'.
  See Also:
    `ConstraintDefinition.isPrimaryKeyNullable()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_UniqueKeyNullable

    public EAttribute getConstraintDefinition_UniqueKeyNullable()

  Specified by:
    `getConstraintDefinition_UniqueKeyNullable` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Unique Key Nullable'.
  See Also:
    `ConstraintDefinition.isUniqueKeyNullable()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_MaximumCheckExpressionLength

    public EAttribute getConstraintDefinition_MaximumCheckExpressionLength()

  Specified by:
    `getConstraintDefinition_MaximumCheckExpressionLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Check Expression Length'.
  See Also:
    `ConstraintDefinition.getMaximumCheckExpressionLength()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_ParentUpdateDRIRuleType

    public EAttribute getConstraintDefinition_ParentUpdateDRIRuleType()

  Specified by:
    `getConstraintDefinition_ParentUpdateDRIRuleType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Parent Update DRI Rule Type'.
  See Also:
    `ConstraintDefinition.getParentUpdateDRIRuleType()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_ParentDeleteDRIRuleType

    public EAttribute getConstraintDefinition_ParentDeleteDRIRuleType()

  Specified by:
    `getConstraintDefinition_ParentDeleteDRIRuleType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Parent Delete DRI Rule Type'.
  See Also:
    `ConstraintDefinition.getParentDeleteDRIRuleType()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_CheckOption

    public EAttribute getConstraintDefinition_CheckOption()

  Specified by:
    `getConstraintDefinition_CheckOption` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Check Option'.
  See Also:
    `ConstraintDefinition.getCheckOption()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_MaximumPrimaryKeyIdentifierLength

    public EAttribute getConstraintDefinition_MaximumPrimaryKeyIdentifierLength()

  Specified by:
    `getConstraintDefinition_MaximumPrimaryKeyIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Primary Key Identifier Length'.
  See Also:
    `ConstraintDefinition.getMaximumPrimaryKeyIdentifierLength()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_MaximumForeignKeyIdentifierLength

    public EAttribute getConstraintDefinition_MaximumForeignKeyIdentifierLength()

  Specified by:
    `getConstraintDefinition_MaximumForeignKeyIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Foreign Key Identifier Length'.
  See Also:
    `ConstraintDefinition.getMaximumForeignKeyIdentifierLength()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getConstraintDefinition_MaximumCheckConstraintIdentifierLength

    public EAttribute getConstraintDefinition_MaximumCheckConstraintIdentifierLength()

  Specified by:
    `getConstraintDefinition_MaximumCheckConstraintIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Check Constraint Identifier Length'.
  See Also:
    `ConstraintDefinition.getMaximumCheckConstraintIdentifierLength()`, `DatabaseDefinitionPackage.getConstraintDefinition()`

### getIndexDefinition

    public EClass getIndexDefinition()

  Specified by:
    `getIndexDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Index Definition'.
  See Also:
    `IndexDefinition`

### getIndexDefinition_PercentFreeTerminology

    public EAttribute getIndexDefinition_PercentFreeTerminology()

  Specified by:
    `getIndexDefinition_PercentFreeTerminology` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Percent Free Terminology'.
  See Also:
    `IndexDefinition.getPercentFreeTerminology()`, `DatabaseDefinitionPackage.getIndexDefinition()`

### getIndexDefinition_PercentFreeChangeable

    public EAttribute getIndexDefinition_PercentFreeChangeable()

  Specified by:
    `getIndexDefinition_PercentFreeChangeable` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Percent Free Changeable'.
  See Also:
    `IndexDefinition.isPercentFreeChangeable()`, `DatabaseDefinitionPackage.getIndexDefinition()`

### getIndexDefinition_ClusteringSupported

    public EAttribute getIndexDefinition_ClusteringSupported()

  Specified by:
    `getIndexDefinition_ClusteringSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Clustering Supported'.
  See Also:
    `IndexDefinition.isClusteringSupported()`, `DatabaseDefinitionPackage.getIndexDefinition()`

### getIndexDefinition_ClusterChangeable

    public EAttribute getIndexDefinition_ClusterChangeable()

  Specified by:
    `getIndexDefinition_ClusterChangeable` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Cluster Changeable'.
  See Also:
    `IndexDefinition.isClusterChangeable()`, `DatabaseDefinitionPackage.getIndexDefinition()`

### getIndexDefinition_FillFactorSupported

    public EAttribute getIndexDefinition_FillFactorSupported()

  Specified by:
    `getIndexDefinition_FillFactorSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Fill Factor Supported'.
  See Also:
    `IndexDefinition.isFillFactorSupported()`, `DatabaseDefinitionPackage.getIndexDefinition()`

### getIndexDefinition_IncludedColumnsSupported

    public EAttribute getIndexDefinition_IncludedColumnsSupported()

  Specified by:
    `getIndexDefinition_IncludedColumnsSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Included Columns Supported'.
  See Also:
    `IndexDefinition.isIncludedColumnsSupported()`, `DatabaseDefinitionPackage.getIndexDefinition()`

### getIndexDefinition_MaximumIdentifierLength

    public EAttribute getIndexDefinition_MaximumIdentifierLength()

  Specified by:
    `getIndexDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `IndexDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getIndexDefinition()`

### getExtendedDefinition

    public EClass getExtendedDefinition()

  Specified by:
    `getExtendedDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Extended Definition'.
  See Also:
    `ExtendedDefinition`

### getExtendedDefinition_Name

    public EAttribute getExtendedDefinition_Name()

  Specified by:
    `getExtendedDefinition_Name` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ExtendedDefinition.getName()`, `DatabaseDefinitionPackage.getExtendedDefinition()`

### getExtendedDefinition_Value

    public EAttribute getExtendedDefinition_Value()

  Specified by:
    `getExtendedDefinition_Value` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ExtendedDefinition.getValue()`, `DatabaseDefinitionPackage.getExtendedDefinition()`

### getTableDefinition

    public EClass getTableDefinition()

  Specified by:
    `getTableDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Table Definition'.
  See Also:
    `TableDefinition`

### getTableDefinition_AuditSupported

    public EAttribute getTableDefinition_AuditSupported()

  Specified by:
    `getTableDefinition_AuditSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Audit Supported'.
  See Also:
    `TableDefinition.isAuditSupported()`, `DatabaseDefinitionPackage.getTableDefinition()`

### getTableDefinition_DataCaptureSupported

    public EAttribute getTableDefinition_DataCaptureSupported()

  Specified by:
    `getTableDefinition_DataCaptureSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Data Capture Supported'.
  See Also:
    `TableDefinition.isDataCaptureSupported()`, `DatabaseDefinitionPackage.getTableDefinition()`

### getTableDefinition_EditProcSupported

    public EAttribute getTableDefinition_EditProcSupported()

  Specified by:
    `getTableDefinition_EditProcSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Edit Proc Supported'.
  See Also:
    `TableDefinition.isEditProcSupported()`, `DatabaseDefinitionPackage.getTableDefinition()`

### getTableDefinition_EncodingSupported

    public EAttribute getTableDefinition_EncodingSupported()

  Specified by:
    `getTableDefinition_EncodingSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Encoding Supported'.
  See Also:
    `TableDefinition.isEncodingSupported()`, `DatabaseDefinitionPackage.getTableDefinition()`

### getTableDefinition_ValidProcSupported

    public EAttribute getTableDefinition_ValidProcSupported()

  Specified by:
    `getTableDefinition_ValidProcSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Valid Proc Supported'.
  See Also:
    `TableDefinition.isValidProcSupported()`, `DatabaseDefinitionPackage.getTableDefinition()`

### getTableDefinition_MaximumIdentifierLength

    public EAttribute getTableDefinition_MaximumIdentifierLength()

  Specified by:
    `getTableDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `TableDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getTableDefinition()`

### getSequenceDefinition

    public EClass getSequenceDefinition()

  Specified by:
    `getSequenceDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Sequence Definition'.
  See Also:
    `SequenceDefinition`

### getSequenceDefinition_PredefinedDataTypeDefinitions

    public EReference getSequenceDefinition_PredefinedDataTypeDefinitions()

  Specified by:
    `getSequenceDefinition_PredefinedDataTypeDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the reference list 'Predefined Data Type Definitions'.
  See Also:
    `SequenceDefinition.getPredefinedDataTypeDefinitions()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getSequenceDefinition_TypeEnumerationSupported

    public EAttribute getSequenceDefinition_TypeEnumerationSupported()

  Specified by:
    `getSequenceDefinition_TypeEnumerationSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Type Enumeration Supported'.
  See Also:
    `SequenceDefinition.isTypeEnumerationSupported()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getSequenceDefinition_CacheSupported

    public EAttribute getSequenceDefinition_CacheSupported()

  Specified by:
    `getSequenceDefinition_CacheSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Cache Supported'.
  See Also:
    `SequenceDefinition.isCacheSupported()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getSequenceDefinition_OrderSupported

    public EAttribute getSequenceDefinition_OrderSupported()

  Specified by:
    `getSequenceDefinition_OrderSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Order Supported'.
  See Also:
    `SequenceDefinition.isOrderSupported()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getSequenceDefinition_NoMaximumValueString

    public EAttribute getSequenceDefinition_NoMaximumValueString()

  Specified by:
    `getSequenceDefinition_NoMaximumValueString` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'No Maximum Value String'.
  See Also:
    `SequenceDefinition.getNoMaximumValueString()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getSequenceDefinition_NoMinimumValueString

    public EAttribute getSequenceDefinition_NoMinimumValueString()

  Specified by:
    `getSequenceDefinition_NoMinimumValueString` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'No Minimum Value String'.
  See Also:
    `SequenceDefinition.getNoMinimumValueString()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getSequenceDefinition_NoCacheString

    public EAttribute getSequenceDefinition_NoCacheString()

  Specified by:
    `getSequenceDefinition_NoCacheString` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'No Cache String'.
  See Also:
    `SequenceDefinition.getNoCacheString()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getSequenceDefinition_CacheDefaultValue

    public EAttribute getSequenceDefinition_CacheDefaultValue()

  Specified by:
    `getSequenceDefinition_CacheDefaultValue` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Cache Default Value'.
  See Also:
    `SequenceDefinition.getCacheDefaultValue()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getUserDefinedTypeDefinition

    public EClass getUserDefinedTypeDefinition()

  Specified by:
    `getUserDefinedTypeDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'User Defined Type Definition'.
  See Also:
    `UserDefinedTypeDefinition`

### getUserDefinedTypeDefinition_DefaultValueSupported

    public EAttribute getUserDefinedTypeDefinition_DefaultValueSupported()

  Specified by:
    `getUserDefinedTypeDefinition_DefaultValueSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Value Supported'.
  See Also:
    `UserDefinedTypeDefinition.isDefaultValueSupported()`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition()`

### getUserDefinedTypeDefinition_DistinctTypeSupported

    public EAttribute getUserDefinedTypeDefinition_DistinctTypeSupported()

  Specified by:
    `getUserDefinedTypeDefinition_DistinctTypeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Distinct Type Supported'.
  See Also:
    `UserDefinedTypeDefinition.isDistinctTypeSupported()`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition()`

### getUserDefinedTypeDefinition_StructuredTypeSupported

    public EAttribute getUserDefinedTypeDefinition_StructuredTypeSupported()

  Specified by:
    `getUserDefinedTypeDefinition_StructuredTypeSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Structured Type Supported'.
  See Also:
    `UserDefinedTypeDefinition.isStructuredTypeSupported()`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition()`

### getUserDefinedTypeDefinition_MaximumIdentifierLength

    public EAttribute getUserDefinedTypeDefinition_MaximumIdentifierLength()

  Specified by:
    `getUserDefinedTypeDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `UserDefinedTypeDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition()`

### getQueryDefinition

    public EClass getQueryDefinition()

  Specified by:
    `getQueryDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Query Definition'.
  See Also:
    `QueryDefinition`

### getQueryDefinition_IdentifierQuoteString

    public EAttribute getQueryDefinition_IdentifierQuoteString()

  Specified by:
    `getQueryDefinition_IdentifierQuoteString` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Identifier Quote String'.
  See Also:
    `QueryDefinition.getIdentifierQuoteString()`, `DatabaseDefinitionPackage.getQueryDefinition()`

### getQueryDefinition_HostVariableMarker

    public EAttribute getQueryDefinition_HostVariableMarker()

  Specified by:
    `getQueryDefinition_HostVariableMarker` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Host Variable Marker'.
  See Also:
    `QueryDefinition.getHostVariableMarker()`, `DatabaseDefinitionPackage.getQueryDefinition()`

### getQueryDefinition_HostVariableMarkerSupported

    public EAttribute getQueryDefinition_HostVariableMarkerSupported()

  Specified by:
    `getQueryDefinition_HostVariableMarkerSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Host Variable Marker Supported'.
  See Also:
    `QueryDefinition.isHostVariableMarkerSupported()`, `DatabaseDefinitionPackage.getQueryDefinition()`

### getQueryDefinition_CastExpressionSupported

    public EAttribute getQueryDefinition_CastExpressionSupported()

  Specified by:
    `getQueryDefinition_CastExpressionSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Cast Expression Supported'.
  See Also:
    `QueryDefinition.isCastExpressionSupported()`, `DatabaseDefinitionPackage.getQueryDefinition()`

### getQueryDefinition_DefaultKeywordForInsertValueSupported

    public EAttribute getQueryDefinition_DefaultKeywordForInsertValueSupported()

  Specified by:
    `getQueryDefinition_DefaultKeywordForInsertValueSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Keyword For Insert Value Supported'.
  See Also:
    `QueryDefinition.isDefaultKeywordForInsertValueSupported()`, `DatabaseDefinitionPackage.getQueryDefinition()`

### getQueryDefinition_ExtendedGroupingSupported

    public EAttribute getQueryDefinition_ExtendedGroupingSupported()

  Specified by:
    `getQueryDefinition_ExtendedGroupingSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Extended Grouping Supported'.
  See Also:
    `QueryDefinition.isExtendedGroupingSupported()`, `DatabaseDefinitionPackage.getQueryDefinition()`

### getQueryDefinition_TableAliasInDeleteSupported

    public EAttribute getQueryDefinition_TableAliasInDeleteSupported()

  Specified by:
    `getQueryDefinition_TableAliasInDeleteSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Table Alias In Delete Supported'.
  See Also:
    `QueryDefinition.isTableAliasInDeleteSupported()`, `DatabaseDefinitionPackage.getQueryDefinition()`

### getSQLSyntaxDefinition

    public EClass getSQLSyntaxDefinition()

  Specified by:
    `getSQLSyntaxDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'SQL Syntax Definition'.
  See Also:
    `SQLSyntaxDefinition`

### getSQLSyntaxDefinition_Keywords

    public EAttribute getSQLSyntaxDefinition_Keywords()

  Specified by:
    `getSQLSyntaxDefinition_Keywords` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Keywords'.
  See Also:
    `SQLSyntaxDefinition.getKeywords()`, `DatabaseDefinitionPackage.getSQLSyntaxDefinition()`

### getSQLSyntaxDefinition_Operators

    public EAttribute getSQLSyntaxDefinition_Operators()

  Specified by:
    `getSQLSyntaxDefinition_Operators` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute list 'Operators'.
  See Also:
    `SQLSyntaxDefinition.getOperators()`, `DatabaseDefinitionPackage.getSQLSyntaxDefinition()`

### getSQLSyntaxDefinition_TerminationCharacter

    public EAttribute getSQLSyntaxDefinition_TerminationCharacter()

  Specified by:
    `getSQLSyntaxDefinition_TerminationCharacter` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Termination Character'.
  See Also:
    `SQLSyntaxDefinition.getTerminationCharacter()`, `DatabaseDefinitionPackage.getSQLSyntaxDefinition()`

### getNicknameDefinition

    public EClass getNicknameDefinition()

  Specified by:
    `getNicknameDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Nickname Definition'.
  See Also:
    `NicknameDefinition`

### getNicknameDefinition_ConstraintSupported

    public EAttribute getNicknameDefinition_ConstraintSupported()

  Specified by:
    `getNicknameDefinition_ConstraintSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Constraint Supported'.
  See Also:
    `NicknameDefinition.isConstraintSupported()`, `DatabaseDefinitionPackage.getNicknameDefinition()`

### getNicknameDefinition_IndexSupported

    public EAttribute getNicknameDefinition_IndexSupported()

  Specified by:
    `getNicknameDefinition_IndexSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Index Supported'.
  See Also:
    `NicknameDefinition.isIndexSupported()`, `DatabaseDefinitionPackage.getNicknameDefinition()`

### getNicknameDefinition_MaximumIdentifierLength

    public EAttribute getNicknameDefinition_MaximumIdentifierLength()

  Specified by:
    `getNicknameDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `NicknameDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getNicknameDefinition()`

### getSchemaDefinition

    public EClass getSchemaDefinition()

  Specified by:
    `getSchemaDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Schema Definition'.
  See Also:
    `SchemaDefinition`

### getSchemaDefinition_MaximumIdentifierLength

    public EAttribute getSchemaDefinition_MaximumIdentifierLength()

  Specified by:
    `getSchemaDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `SchemaDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getSchemaDefinition()`

### getViewDefinition

    public EClass getViewDefinition()

  Specified by:
    `getViewDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'View Definition'.
  See Also:
    `ViewDefinition`

### getViewDefinition_MaximumIdentifierLength

    public EAttribute getViewDefinition_MaximumIdentifierLength()

  Specified by:
    `getViewDefinition_MaximumIdentifierLength` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `ViewDefinition.getMaximumIdentifierLength()`, `DatabaseDefinitionPackage.getViewDefinition()`

### getViewDefinition_IndexSupported

    public EAttribute getViewDefinition_IndexSupported()

  Specified by:
    `getViewDefinition_IndexSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Index Supported'.
  See Also:
    `ViewDefinition.isIndexSupported()`, `DatabaseDefinitionPackage.getViewDefinition()`

### getFieldQualifierDefinition

    public EClass getFieldQualifierDefinition()

  Specified by:
    `getFieldQualifierDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Field Qualifier Definition'.
  See Also:
    `FieldQualifierDefinition`

### getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions

    public EReference getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions()

  Specified by:
    `getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the reference list 'Valid Trailing Field Qualifier Definitions'.
  See Also:
    `FieldQualifierDefinition.getValidTrailingFieldQualifierDefinitions()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getFieldQualifierDefinition_Name

    public EAttribute getFieldQualifierDefinition_Name()

  Specified by:
    `getFieldQualifierDefinition_Name` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `FieldQualifierDefinition.getName()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getFieldQualifierDefinition_MaximumPrecision

    public EAttribute getFieldQualifierDefinition_MaximumPrecision()

  Specified by:
    `getFieldQualifierDefinition_MaximumPrecision` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Precision'.
  See Also:
    `FieldQualifierDefinition.getMaximumPrecision()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getFieldQualifierDefinition_DefaultPrecision

    public EAttribute getFieldQualifierDefinition_DefaultPrecision()

  Specified by:
    `getFieldQualifierDefinition_DefaultPrecision` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Precision'.
  See Also:
    `FieldQualifierDefinition.getDefaultPrecision()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getFieldQualifierDefinition_PrecisionSupported

    public EAttribute getFieldQualifierDefinition_PrecisionSupported()

  Specified by:
    `getFieldQualifierDefinition_PrecisionSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Precision Supported'.
  See Also:
    `FieldQualifierDefinition.isPrecisionSupported()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getFieldQualifierDefinition_MaximumScale

    public EAttribute getFieldQualifierDefinition_MaximumScale()

  Specified by:
    `getFieldQualifierDefinition_MaximumScale` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Maximum Scale'.
  See Also:
    `FieldQualifierDefinition.getMaximumScale()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getFieldQualifierDefinition_DefaultScale

    public EAttribute getFieldQualifierDefinition_DefaultScale()

  Specified by:
    `getFieldQualifierDefinition_DefaultScale` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Default Scale'.
  See Also:
    `FieldQualifierDefinition.getDefaultScale()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getFieldQualifierDefinition_ScaleSupported

    public EAttribute getFieldQualifierDefinition_ScaleSupported()

  Specified by:
    `getFieldQualifierDefinition_ScaleSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Scale Supported'.
  See Also:
    `FieldQualifierDefinition.isScaleSupported()`, `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

### getDebuggerDefinition

    public EClass getDebuggerDefinition()

  Specified by:
    `getDebuggerDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Debugger Definition'.
  See Also:
    `DebuggerDefinition`

### getDebuggerDefinition_ConditionSupported

    public EAttribute getDebuggerDefinition_ConditionSupported()

  Specified by:
    `getDebuggerDefinition_ConditionSupported` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Condition Supported'.
  See Also:
    `DebuggerDefinition.isConditionSupported()`, `DatabaseDefinitionPackage.getDebuggerDefinition()`

### getPrivilegedElementDefinition

    public EClass getPrivilegedElementDefinition()

  Specified by:
    `getPrivilegedElementDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Privileged Element Definition'.
  See Also:
    `PrivilegedElementDefinition`

### getPrivilegedElementDefinition_PrivilegeDefinitions

    public EReference getPrivilegedElementDefinition_PrivilegeDefinitions()

  Specified by:
    `getPrivilegedElementDefinition_PrivilegeDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the containment reference list 'Privilege Definitions'.
  See Also:
    `PrivilegedElementDefinition.getPrivilegeDefinitions()`, `DatabaseDefinitionPackage.getPrivilegedElementDefinition()`

### getPrivilegedElementDefinition_Name

    public EAttribute getPrivilegedElementDefinition_Name()

  Specified by:
    `getPrivilegedElementDefinition_Name` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `PrivilegedElementDefinition.getName()`, `DatabaseDefinitionPackage.getPrivilegedElementDefinition()`

### getPrivilegeDefinition

    public EClass getPrivilegeDefinition()

  Specified by:
    `getPrivilegeDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for class 'Privilege Definition'.
  See Also:
    `PrivilegeDefinition`

### getPrivilegeDefinition_ActionElementDefinitions

    public EReference getPrivilegeDefinition_ActionElementDefinitions()

  Specified by:
    `getPrivilegeDefinition_ActionElementDefinitions` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the reference list 'Action Element Definitions'.
  See Also:
    `PrivilegeDefinition.getActionElementDefinitions()`, `DatabaseDefinitionPackage.getPrivilegeDefinition()`

### getPrivilegeDefinition_Name

    public EAttribute getPrivilegeDefinition_Name()

  Specified by:
    `getPrivilegeDefinition_Name` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `PrivilegeDefinition.getName()`, `DatabaseDefinitionPackage.getPrivilegeDefinition()`

### getSequenceDefinition_DefaultDataTypeDefinition

    public EReference getSequenceDefinition_DefaultDataTypeDefinition()

  Specified by:
    `getSequenceDefinition_DefaultDataTypeDefinition` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for the reference 'Default Data Type Definition'.
  See Also:
    `SequenceDefinition.getDefaultDataTypeDefinition()`, `DatabaseDefinitionPackage.getSequenceDefinition()`

### getCheckOption

    public EEnum getCheckOption()

  Specified by:
    `getCheckOption` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Check Option'.
  See Also:
    `CheckOption`

### getLanguageType

    public EEnum getLanguageType()

  Specified by:
    `getLanguageType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Language Type'.
  See Also:
    `LanguageType`

### getParameterStyle

    public EEnum getParameterStyle()

  Specified by:
    `getParameterStyle` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Parameter Style'.
  See Also:
    `ParameterStyle`

### getParentDeleteDRIRuleType

    public EEnum getParentDeleteDRIRuleType()

  Specified by:
    `getParentDeleteDRIRuleType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Parent Delete DRI Rule Type'.
  See Also:
    `ParentDeleteDRIRuleType`

### getParentUpdateDRIRuleType

    public EEnum getParentUpdateDRIRuleType()

  Specified by:
    `getParentUpdateDRIRuleType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Parent Update DRI Rule Type'.
  See Also:
    `ParentUpdateDRIRuleType`

### getProcedureType

    public EEnum getProcedureType()

  Specified by:
    `getProcedureType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Procedure Type'.
  See Also:
    `ProcedureType`

### getTableSpaceType

    public EEnum getTableSpaceType()

  Specified by:
    `getTableSpaceType` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Table Space Type'.
  See Also:
    `TableSpaceType`

### getPercentFreeTerminology

    public EEnum getPercentFreeTerminology()

  Specified by:
    `getPercentFreeTerminology` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Percent Free Terminology'.
  See Also:
    `PercentFreeTerminology`

### getLengthUnit

    public EEnum getLengthUnit()

  Specified by:
    `getLengthUnit` in interface `DatabaseDefinitionPackage`
  Returns:
    the meta object for enum 'Length Unit'.
  See Also:
    `LengthUnit`

### getDatabaseDefinitionFactory

    public DatabaseDefinitionFactory getDatabaseDefinitionFactory()

  Specified by:
    `getDatabaseDefinitionFactory` in interface `DatabaseDefinitionPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.